<?php
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));


$objetocalculo=new calculos();
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$cliente=$sessao->getVar('cliente');
$finalidade=$sessao->getVar('finalidade');
$nomeOperador=$sessao->getVar('nomeuser');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$legendaGeral="Registro de amostra(Incluir,alterar,excluir,localizar) " ;
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 


$amostraLong=$sessao->getVar('amostraLong');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela finalidade=$finalidade  Ano amostra=$anoAmostra<br>");
if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;	
	//echo('passando na 38<br>');	
	$sessao->setVar('amostraLong', $amostraLong);
	//$sessao->setVar('idCultivar',$idCultivar);
	//$sessao->setVar('idProdutor',$idProdutor);
	//$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 //$idCultivar=$sessao->getVar($idCultivar);
	 //$idProdutor=$sessao->getVar($idProdutor);
	 //$idAmostrador=$sessao->getVar($idAmostrador);
}




switch ($tela):

case 'telaGeral':
echo"esta no nova";
$tela='editar';
$tipo=$_POST["tipo"];
$firstName=$_POST["firstName"];





if($tipo=="1" || $tipo=="4") //novo  e alterar
{
  $numero=$_POST["numero"];
  $dataVistoria=$_POST["dataVistoria"];
  $tecnico=$_POST["tecnico"];
  $estagio=$_POST["estagio"];
  $recomendacao=$_POST["recomendacao"];
  $problemas=$_POST["problemas"];
  $estimativa=$_POST["estimativa"];
  $dataProvavel=$_POST["dataProvavel"];
  $areaPlantada=$_POST["areaPlantada"];
  echo("ENTROU NO TIPO=1");
  
  
  
}

if($tipo=="5"): //teste
  echo("ENTROU NO TIPO=5");
endif;




?>
     <script>
       function  ClikButton(e)
       {
	       
           document.formAmostra.tipo.value = e;
           //alert(document.formAmostra.tipo.value)
           /////////////INCLUIR///////////////////////       
           if(e==1) //novo 

           {
           if(document.formAmostra.secondName.value==1)
             {
         	   if(document.formAmostra.numero.value.length > 0 && document.formAmostra.dataVistoria.value.length > 0  && document.formAmostra.tecnico.value.length > 0  && document.formAmostra.estagio.value.length > 0  && document.formAmostra.areaPlantada.value.length > 0 )
               {
                    document.formAmostra.submit();
               } 
			   else
               {
                 if(document.formAmostra.numero.value.length == 0)   alert('Informe o numero da numero!');
                 if(document.formAmostra.dataVistoria.value.length == 0)   alert('Informe a cutivar!');
                 if(document.formAmostra.tecnico.value.length == 0)   alert('Informe a tecnico!');
                 if(document.formAmostra.estagio.value.length == 0)   alert('Informe a estagio!');
                 if(document.formAmostra.areaPlantada.value.length == 0)   alert('Informe a area plantada!');
               } 
             }
             else 
             {
                 document.formAmostra.b_novo.value='Salvar';
                 //document.formAmostra.numero.value='';
                 document.formAmostra.secondName.value=1;
                 document.formAmostra.b_excluir.disabled='ON';
                 document.formAmostra.b_editar.disabled='ON';
                 document.formAmostra.tipo.value = 1;//neutraliza colocando fora de questão
                 alert("Preencha todos dados. Repare que só precisa digitar o que muda em relação ao item anterior, depois clique em salvar!");
             }
           }

           if(e==2)//cancelar
           {
				document.formAmostra.secondName.value=2;
                document.formAmostra.submit();

           }
		   
		   
	////////////EXCLUIR/////////////////////	   
           if(e==3)//excluir
           {
              if(document.formAmostra.secondName.value==3)
              {
                document.formAmostra.b_excluir.value='Excluir';
   				document.formAmostra.secondName.value=3;
                document.formAmostra.submit();
              }
             else
             {			 
                document.formAmostra.b_excluir.value='Confirmar exclusao';
                document.formAmostra.b_editar.disabled='ON';
                document.formAmostra.b_novo.disabled='ON';
				document.formAmostra.secondName.value=3;
                alert("Vai ser excluido o registro selecionado. Clique em confirmar exclusao!");
             }
           }
/////////// A L T E R A R/////////////////////////////////////
           if(e==4) //alterar
           {
             if(document.formAmostra.secondName.value==4)
             {
               document.formAmostra.b_excluir.disabled='ON';
               document.formAmostra.b_editar.disabled='ON';
         	   if(document.formAmostra.numero.value.length > 0 && document.formAmostra.dataVistoria.value.length > 0  && document.formAmostra.tecnico.value.length > 0  && document.formAmostra.estagio.value.length > 0  && document.formAmostra.areaPlantada.value.length > 0)
               {
                    document.formAmostra.submit();
               }
			   else
               {
                 if(document.formAmostra.numero.value.length == 0)   alert('Informe o numero da numero!');
                 if(document.formAmostra.dataVistoria.value.length == 0)   alert('Informe a cutivar!');
                 if(document.formAmostra.tecnico.value.length == 0)   alert('Informe a tecnico!');
                 if(document.formAmostra.estagio.value.length == 0)   alert('Informe a documentação!');
                 if(document.formAmostra.areaPlantada.value.length == 0)   alert('Informe a area plantada!');
               } 
             }
             else 
             {
                 document.formAmostra.b_editar.value='Salvar';
                 document.formAmostra.secondName.value='4';
                 document.formAmostra.b_excluir.disabled='ON';
                 document.formAmostra.b_novo.disabled='ON';
                 document.formAmostra.tipo.value = 4;//neutraliza colocando fora de questão
                 alert("Preencha todos dados,  e clique em Gravar!");
             }
           }


 

		     
/////////////////////comando do combo box//////////////////////////////
           if(e==9) //era 9
           {
             document.formAmostra.idCombo.value=document.formAmostra.nomeCombo.options[document.formAmostra.nomeCombo.selectedIndex].text;
             document.formAmostra.b_novo.value='Novo';
             document.formAmostra.b_excluir.disabled='';
             document.formAmostra.b_editar.disabled='';
             document.formAmostra.submit();
           
           }

       }
 
    </script>
	   <form id="formAmostra" name="formAmostra" method="post" >
  <!--<form class="userform" method="POST" action="">--> 
    <table align="center"  width="750" bgcolor="#dcdcdc" cellspacing=1 cellpadinng=0  border=1 >
    <tr>
	 <td> Vistoria Nº:</td>
	 <td><input type = "text"  size="20"  maxlength="20" name="numero"  value="">

	 </tr>
	 <tr>
	 <td>
	
	 </tr>

    </table>	
   
	

<h3 align="center">Informações complementares do campo: <?php echo($nomeCampo)?></h3>
        
           <input type = "hidden" size="5"  name="tipo"       value="0" id="tipo"  />
           <input type = "hidden" size="5"  name="firstName"  value="INICIADO">
           <input type = "hidden" size="5"  name="secondName" value="0">
 		   <input type=  "hidden"   size="5"  name="idAmostra"  value="<?php echo($amostraLong)?>"  />
           <table align="center"  width="750" bgcolor="#dcdcdc" cellspacing=1 cellpadinng=0  border=1 >
                 <tr>
				 <td> Vistoria Nº:</td>
				 <td><input type = "text"  size="20"  maxlength="20" name="numero"  value="5">
				 Ref.:<input type=  "text"     size="2"   name="idCombo"    value="5"/></td>
				 </tr>
				 
                 <tr>
				 <td>Data da vistoria:</td>
				 <td><input type = "text"  size="20"  maxlength="20" name="dataVistoria"  value="<?php echo($vetorcampos[1])?>"></td>
				 </tr>

                 <tr>
				 <td>Técnico:</td>
				 <td><input type = "text"  size="80"  maxlength="60" name="tecnico"  value="<?php echo($vetorcampos[2])?>"></td>
				 </tr>

                 <tr>
				 <td> Estagio:</td>
				 <td><input type = "text"  size="80"  maxlength="100" name="estagio"  value="<?php echo($vetorcampos[3])?>"></td>
				 </tr>

                 <tr>
				 <td>Recomendação:</td>
				 <td><input type = "text"  size="80"  maxlength="150" name="recomendacao"  value="<?php echo($vetorcampos[5])?>"></td>
				 </tr>
				 
                 <tr>
				 <td>Problemas:</td>
				 <td><input type = "text"  size="80"  maxlength="150" name="problemas"  value="<?php echo($vetorcampos[4])?>"></td>
				 </tr>

                 <tr>
				 <td>Produção estimada:</td>
				 <td><input type = "text"  size="50"  maxlength="50" name="estimativa"  value="<?php echo($vetorcampos[6])?>"></td>
				 </tr>

                 <tr>
				 <td>Data Prev.colheita:</td>
				 <td><input type = "text"  size="20"  maxlength="20" name="dataProvavel"  value="<?php echo($vetorcampos[7])?>"></td>
				 </tr>

                 <tr>
				 <td>Area plantada:</td>
				 <td><input type = "text"  size="20"  maxlength="20" name="areaPlantada"  value="<?php echo($vetorcampos[8])?>"></td>
				 </tr>
                 </table>

<table align="center">
				   
                   <tr>
                   <td>
                         <a href="javascript:window.close();">Voltar ao cadastro de campos</a>
                         <input name="b_novo" type="button" id="b_novo" value="Novox" onclick="ClikButton(1)"/>
                         <input name="b_excluir" type="button"  id="b_excluir" value="Excluir" onclick="ClikButton(3)"/>
                         <input name="b_editar" type="button" id="b_editar" value="Editar/Gravar" onclick="ClikButton(4)"/>
                         <input name="b_cancel" type="button"  id="b_cancel" value="Cancelar" onclick="ClikButton(2)"/>
						 
				
						 
						 
						 
						 
                         <?php echo $mensagem ?>
                   </td>
               </tr>
               </table>
           </form>
		         	  
	  <?php
	  
	  
   break;

/*
$objetocalculo=new calculos();
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$cliente=$sessao->getVar('cliente');
$finalidade=$sessao->getVar('finalidade');
$nomeOperador=$sessao->getVar('nomeuser');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;


$amostraLong=$_GET["idAmostra"];
if($amostraLong==null)
{
     $amostraLong=$_POST["idAmostra"]; 
}
if($amostraLong==null) exit;
$codCampo=$amostraLong;

$sql="select cpr_nome_do_campo from camposproducao where cpr_id=$codCampo";
$vetorCampo= captura_registros_generico1($sql,"cpr_nome_do_campo");
$nomeCampo=$vetorCampo[0];
$idCombo=$_POST["idCombo"];

//COMO FUNCIONA ESTE FORM:
//TEM O CAMPO FIRSTNAME QUE AO ENTRAR TEM O VALUE=INICIADO, MAS EU RESGATO O VALOR ANTES DE INICIAR POR ISSO
//O COMPUTADOR PEGA O VALOR LIMPO. COMO ELE PEGA LIMPO E DETECTA QUE NAO TEM VALOR EU POSSO FAZER O COMPUTADOR
//REALIZAR ALGUMAS OPERACOES INCIAIS  CO O POR EXEMPLO ABASTECER UM VETOR, OU PEGAR O PRIMEIR REGISTRO DA TABELA E ASSIM POR DIANTE
//RELATIVO A OPERACOES EU CLICO NO BOTAO E EM VEZ DE DAR O SUBMIT O COMPUTADOR EXAMINA O JAVASCRIP ANTES
//O COMANDO SUBMIT É FEITO DENTRO DO JAVASCRIP DEPOSI DE ATENDER AS CONDIÇOES PREVISTA NO JAVA SCRIPT
//O SEGREDO ESTA AQUI É SOMENTE ISSO
$tipo=$_POST["tipo"];
$firstName=$_POST["firstName"];
if($tipo=="1" || $tipo=="4") //novo  e alterar
{
  $numero=$_POST["numero"];
  $dataVistoria=$_POST["dataVistoria"];
  $tecnico=$_POST["tecnico"];
  $estagio=$_POST["estagio"];
  $recomendacao=$_POST["recomendacao"];
  $problemas=$_POST["problemas"];
  $estimativa=$_POST["estimativa"];
  $dataProvavel=$_POST["dataProvavel"];
  $areaPlantada=$_POST["areaPlantada"];
}

switch ($tela):
/////////////////////////////////////////	/////////////////RESULTADOS////////////////////////	/////////////////////////////////////////	
    //preciso definir para cada pacote se é amostras de quimica ou de fisica (nesta ordem))
	case 'telaGeral':
	echo("fala alguma coisa");


if($tipo==null) $tipo="0";
if($tipo=="") $tipo="0";
//echo ("provisorio=$provisorio tipo=$tipo firstname= $firstName<br>");

if($tipo=="1") //novo caadatro
{
  $mensagem="Ok ";
    $sql="insert into vistoriascampo(vis_numero,vis_campo,vis_data,vis_tecnico,vis_estagio,vis_recomendacao,vis_problemas,vis_estimativa,vis_dataprovavel,vis_areaplantada)";
    $sql.="values                        ('$numero','$codCampo','$dataVistoria','$tecnico','$estagio','$recomendacao','$problemas','$estimativa','$dataProvavel','$areaPlantada')";
    $mensagem=grava_registro_com_retorno($sql); 
	$mensagem="OK. Incluiu.";
    $firstName="";//forca ele passar onde pega o ultimo ou seja na rotina firstname diferente de iniciado
}

if($tipo=="3") //excluir
{
    $sql="delete from vistoriascampo where vis_id=".$idCombo;
    $mensagem=grava_registro_com_retorno($sql); 
    $firstName="";
	$mensagem="OK. Excluiu registro.";
 }


if($tipo=="4") //alterar
{
  //  echo("disparou evento 3 $primeira");   
    $sql="update vistoriascampo set vis_numero='$numero',vis_data='$dataVistoria',vis_tecnico='$tecnico',vis_estagio='$estagio',vis_recomendacao='$recomendacao',vis_problemas='$problemas',vis_estimativa='$estimativa',vis_dataprovavel='$dataProvavel',vis_areaplantada='$areaPlantada' where vis_id=".$idCombo;
    $mensagem=grava_registro_com_retorno($sql);
    $mensagem="OK. Alterou.";
}
     
//echo("clicou na especie sendo tipo= $tipo<br>");
if($tipo=="9")//combobox
{
    $idCombo=$_POST["idCombo"];
} 

$sql="select vis_id from vistoriascampo where vis_campo=".$codCampo." order by vis_id";
$resgate= captura_registros_generico1($sql,"vis_id");

if($firstName !="INICIADO")
{
    //echo"entrando pela unica vez Tipo dentro do INICIADO";
    $sql="select vis_id from vistoriascampo where vis_campo=".$codCampo." order by vis_id desc LIMIT 1";
    $vetor=achaultimo($sql);
	$idCombo=$vetor[0];
	//echo("idcombo=$idCombo");
	$mensagem="-";
}    
if($idCombo>0)
{
    //echo("sql de alteracao= $sql<br>"); 
    $sql="select vis_numero,vis_data,vis_tecnico,vis_estagio,vis_problemas,vis_recomendacao,vis_estimativa,vis_dataprovavel,vis_areaplantada from vistoriascampo where vis_id=".$idCombo;
    $vetorcampos=achacampos($sql);
}
else
{
	$mensagem="Sem registros. Clique NOVO";
}
?>
	    
	   
	
       <script>
       function  ClikButton(e)
       {
           document.formAmostra.tipo.value = e;
           //alert(document.formAmostra.tipo.value)
           /////////////INCLUIR///////////////////////       
           if(e==1) //novo 

           {
           if(document.formAmostra.secondName.value==1)
             {
         	   if(document.formAmostra.numero.value.length > 0 && document.formAmostra.dataVistoria.value.length > 0  && document.formAmostra.tecnico.value.length > 0  && document.formAmostra.estagio.value.length > 0  && document.formAmostra.areaPlantada.value.length > 0 )
               {
                    document.formAmostra.submit();
               } 
			   else
               {
                 if(document.formAmostra.numero.value.length == 0)   alert('Informe o numero da numero!');
                 if(document.formAmostra.dataVistoria.value.length == 0)   alert('Informe a cutivar!');
                 if(document.formAmostra.tecnico.value.length == 0)   alert('Informe a tecnico!');
                 if(document.formAmostra.estagio.value.length == 0)   alert('Informe a estagio!');
                 if(document.formAmostra.areaPlantada.value.length == 0)   alert('Informe a area plantada!');
               } 
             }
             else 
             {
                 document.formAmostra.b_novo.value='Salvar';
                 //document.formAmostra.numero.value='';
                 document.formAmostra.secondName.value=1;
                 document.formAmostra.b_excluir.disabled='ON';
                 document.formAmostra.b_editar.disabled='ON';
                 document.formAmostra.tipo.value = 1;//neutraliza colocando fora de questão
                 alert("Preencha todos dados. Repare que só precisa digitar o que muda em relação ao item anterior, depois clique em salvar!");
             }
           }

           if(e==2)//cancelar
           {
				document.formAmostra.secondName.value=2;
                document.formAmostra.submit();

           }
		   
		   
	////////////EXCLUIR/////////////////////	   
           if(e==3)//excluir
           {
              if(document.formAmostra.secondName.value==3)
              {
                document.formAmostra.b_excluir.value='Excluir';
   				document.formAmostra.secondName.value=3;
                document.formAmostra.submit();
              }
             else
             {			 
                document.formAmostra.b_excluir.value='Confirmar exclusao';
                document.formAmostra.b_editar.disabled='ON';
                document.formAmostra.b_novo.disabled='ON';
				document.formAmostra.secondName.value=3;
                alert("Vai ser excluido o registro selecionado. Clique em confirmar exclusao!");
             }
           }
/////////// A L T E R A R/////////////////////////////////////
           if(e==4) //alterar
           {
             if(document.formAmostra.secondName.value==4)
             {
               document.formAmostra.b_excluir.disabled='ON';
               document.formAmostra.b_editar.disabled='ON';
         	   if(document.formAmostra.numero.value.length > 0 && document.formAmostra.dataVistoria.value.length > 0  && document.formAmostra.tecnico.value.length > 0  && document.formAmostra.estagio.value.length > 0  && document.formAmostra.areaPlantada.value.length > 0)
               {
                    document.formAmostra.submit();
               }
			   else
               {
                 if(document.formAmostra.numero.value.length == 0)   alert('Informe o numero da numero!');
                 if(document.formAmostra.dataVistoria.value.length == 0)   alert('Informe a cutivar!');
                 if(document.formAmostra.tecnico.value.length == 0)   alert('Informe a tecnico!');
                 if(document.formAmostra.estagio.value.length == 0)   alert('Informe a documentação!');
                 if(document.formAmostra.areaPlantada.value.length == 0)   alert('Informe a area plantada!');
               } 
             }
             else 
             {
                 document.formAmostra.b_editar.value='Salvar';
                 document.formAmostra.secondName.value='4';
                 document.formAmostra.b_excluir.disabled='ON';
                 document.formAmostra.b_novo.disabled='ON';
                 document.formAmostra.tipo.value = 4;//neutraliza colocando fora de questão
                 alert("Preencha todos dados,  e clique em Gravar!");
             }
           }

		     
/////////////////////comando do combo box//////////////////////////////
           if(e==9) //era 9
           {
             document.formAmostra.idCombo.value=document.formAmostra.nomeCombo.options[document.formAmostra.nomeCombo.selectedIndex].text;
             document.formAmostra.b_novo.value='Novo';
             document.formAmostra.b_excluir.disabled='';
             document.formAmostra.b_editar.disabled='';
             document.formAmostra.submit();
           
           }

       }
 
    </script>

<h3 align="center">Informações complementares do campo: <?php echo($nomeCampo)?></h3>
           <form id="formAmostra" name="formAmostra" method="post" >
           <input type = "hidden" size="5"  name="tipo"       value="0" id="tipo"  />
           <input type = "hidden" size="5"  name="firstName"  value="INICIADO">
           <input type = "hidden" size="5"  name="secondName" value="0">
 		   <input type=  "hidden"   size="5"  name="idAmostra"  value="<?php echo($amostraLong)?>"  />
           <table align="center"  width="750" bgcolor="#dcdcdc" cellspacing=1 cellpadinng=0  border=1 >
                 <tr>
				 <td> Vistoria Nº:</td>
				 <td><input type = "text"  size="20"  maxlength="20" name="numero"  value="<?php echo($vetorcampos[0])?>">
				 Ref.:<input type=  "text"     size="2"   name="idCombo"  readonly="readonly"  value="<?php echo($idCombo)?>"/></td>
				 </tr>
				 
                 <tr>
				 <td>Data da vistoria:</td>
				 <td><input type = "text"  size="20"  maxlength="20" name="dataVistoria"  value="<?php echo($vetorcampos[1])?>"></td>
				 </tr>

                 <tr>
				 <td>Técnico:</td>
				 <td><input type = "text"  size="80"  maxlength="60" name="tecnico"  value="<?php echo($vetorcampos[2])?>"></td>
				 </tr>

                 <tr>
				 <td> Estagio:</td>
				 <td><input type = "text"  size="80"  maxlength="100" name="estagio"  value="<?php echo($vetorcampos[3])?>"></td>
				 </tr>

                 <tr>
				 <td>Recomendação:</td>
				 <td><input type = "text"  size="80"  maxlength="150" name="recomendacao"  value="<?php echo($vetorcampos[5])?>"></td>
				 </tr>
				 
                 <tr>
				 <td>Problemas:</td>
				 <td><input type = "text"  size="80"  maxlength="150" name="problemas"  value="<?php echo($vetorcampos[4])?>"></td>
				 </tr>

                 <tr>
				 <td>Produção estimada:</td>
				 <td><input type = "text"  size="50"  maxlength="50" name="estimativa"  value="<?php echo($vetorcampos[6])?>"></td>
				 </tr>

                 <tr>
				 <td>Data Prev.colheita:</td>
				 <td><input type = "text"  size="20"  maxlength="20" name="dataProvavel"  value="<?php echo($vetorcampos[7])?>"></td>
				 </tr>

                 <tr>
				 <td>Area plantada:</td>
				 <td><input type = "text"  size="20"  maxlength="20" name="areaPlantada"  value="<?php echo($vetorcampos[8])?>"></td>
				 </tr>
                 </table>

<table align="center">
				   
                   <tr>
                   <td>
                         <a href="javascript:window.close();">Voltar ao cadastro de campos</a>
                         <input name="b_novo" type="button" id="b_novo" value="Novo" onclick="ClikButton(1)"/>
                         <input name="b_excluir" type="button"  id="b_excluir" value="Excluir" onclick="ClikButton(3)"/>
                         <input name="b_editar" type="button" id="b_editar" value="Editar/Gravar" onclick="ClikButton(4)"/>
                         <input name="b_cancel" type="button"  id="b_cancel" value="Cancelar" onclick="ClikButton(2)"/>
                         <?php echo $mensagem ?>
                   </td>
               </tr>
               </table>
           </form>         
<?php
*/
break;

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;


?>
